<?php

namespace Strig\Category;

use Strig\Category\Repository\RepositoryInterface;
use Strig\Category\Repository\RepositoryPluginManager;

class CategoryManager
{
    /** @var RepositoryPluginManager  */
    protected $repositories;

    /**
     * CategoryManager constructor.
     * @param RepositoryPluginManager $repositories
     */
    public function __construct($repositories)
    {
        $this->repositories = $repositories;
    }

    public function getRepository(string $entity): RepositoryInterface
    {
        $adapter = $this->repositories->get($entity);

        return $adapter;
    }
}
