<?php
declare(strict_types=1);

namespace Strig\Category;

use Zend\ConfigAggregator\ConfigAggregator;
use Zend\ConfigAggregator\PhpFileProvider;

class ConfigProvider
{
    /**
     * Returns the configuration array
     *
     */
    public function __invoke(): array
    {

        return (new ConfigAggregator([
 //            \Strig\Gath\ConfigProvider::class,
            \Strig\Cache\ConfigProvider::class,
            \Strig\Image\ConfigProvider::class,
            new PhpFileProvider(__DIR__ .'/../config/*.config.php')
        ]))->getMergedConfig();
    }
}
