<?php

namespace Strig\Category\Entity;

class Category
{

    protected $id;

    protected $name;

    protected $slug;

    protected $description;

    protected $parentId;

    protected $genericArticleIds;

    protected $genericArticleMotoIds;

    protected $order;

    protected $saleBadgeText;

    protected $saleBadgeSize;

    protected $url;

    protected $upsaleTecdocArtId;

    protected $upsaleArtCodes;

    protected $images = [];

    /**
     * @return mixed
     */
    public function getImages()
    {
        return $this->images;
    }

    /**
     * @return mixed
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * @return mixed
     */
    public function getName()
    {
        return $this->name;
    }

    /**
     * @return mixed
     */
    public function getSlug()
    {
        return $this->slug;
    }

    /**
     * @return mixed
     */
    public function getDescription()
    {
        return $this->description;
    }

    /**
     * @return mixed
     */
    public function getParentId()
    {
        return $this->parentId;
    }

    /**
     * @return mixed
     */
    public function getGenericArticleIds()
    {
        return $this->genericArticleIds;
    }

    /**
     * @return mixed
     */
    public function getGenericArticleMotoIds()
    {
        return $this->genericArticleMotoIds;
    }

    /**
     * @return mixed
     */
    public function getOrder()
    {
        return $this->order;
    }

    /**
     * @return mixed
     */
    public function getSaleBadgeText()
    {
        return $this->saleBadgeText;
    }

    /**
     * @return mixed
     */
    public function getSaleBadgeSize()
    {
        return $this->saleBadgeSize;
    }

    /**
     * @return mixed
     */
    public function getUpsaleTecdocArtId()
    {
        return $this->upsaleTecdocArtId;
    }

    /**
     * @return mixed
     */
    public function getUpsaleArtCodes()
    {
        return $this->upsaleArtCodes;
    }

    /**
     * @return mixed
     */
    public function getUrl()
    {
        return $this->url;
    }


    /**
     * @param mixed $url
     * @return Category
     */
    public function setUrl($url)
    {
        $this->url = $url;
        return $this;
    }
}
